mbedtls_x509_csr Struct Reference
X.509 module

Certificate Signing Request (CSR) structure. More...

`#include <x509_csr.h>`

Collaboration diagram for mbedtls_x509_csr:
[legend]

## Data Fields

mbedtls_x509_buf | raw
| The raw CSR data (DER). More...
mbedtls_x509_buf | cri
| The raw CertificateRequestInfo body (DER). More...
int | version
| CSR version (1=v1). More...
mbedtls_x509_buf | subject_raw
| The raw subject data (DER). More...
mbedtls_x509_name | subject
| The parsed subject data (named information object). More...
mbedtls_pk_context | pk
| Container for the public key context. More...
mbedtls_x509_buf | sig_oid
mbedtls_x509_buf | sig
mbedtls_md_type_t | sig_md
| Internal representation of the MD algorithm of the signature algorithm, e.g. More...
mbedtls_pk_type_t | sig_pk
| Internal representation of the Public Key algorithm of the signature algorithm, e.g. More...
void * | sig_opts
| Signature options to be passed to mbedtls_pk_verify_ext(), e.g. More...

## Detailed Description

Certificate Signing Request (CSR) structure.

Definition at line 50 of file x509_csr.h.

## Field Documentation

mbedtls_x509_buf mbedtls_x509_csr::cri

The raw CertificateRequestInfo body (DER).

Definition at line 53 of file x509_csr.h.

mbedtls_pk_context mbedtls_x509_csr::pk

Container for the public key context.

Definition at line 60 of file x509_csr.h.

mbedtls_x509_buf mbedtls_x509_csr::raw

The raw CSR data (DER).

Definition at line 52 of file x509_csr.h.

mbedtls_x509_buf mbedtls_x509_csr::sig

Definition at line 63 of file x509_csr.h.

mbedtls_md_type_t mbedtls_x509_csr::sig_md

Internal representation of the MD algorithm of the signature algorithm, e.g.

MBEDTLS_MD_SHA256

Definition at line 64 of file x509_csr.h.

mbedtls_x509_buf mbedtls_x509_csr::sig_oid

Definition at line 62 of file x509_csr.h.

void* mbedtls_x509_csr::sig_opts

Signature options to be passed to mbedtls_pk_verify_ext(), e.g.

for RSASSA-PSS

Definition at line 66 of file x509_csr.h.

mbedtls_pk_type_t mbedtls_x509_csr::sig_pk

Internal representation of the Public Key algorithm of the signature algorithm, e.g.

MBEDTLS_PK_RSA

Definition at line 65 of file x509_csr.h.

mbedtls_x509_name mbedtls_x509_csr::subject

The parsed subject data (named information object).

Definition at line 58 of file x509_csr.h.

mbedtls_x509_buf mbedtls_x509_csr::subject_raw

The raw subject data (DER).

Definition at line 57 of file x509_csr.h.

int mbedtls_x509_csr::version

CSR version (1=v1).

Definition at line 55 of file x509_csr.h.

The documentation for this struct was generated from the following file:

- x509_csr.h